# Weird libraries with circular interdependencies
%define _disable_ld_no_undefined 1

%define basicusage_major	2
%define libname_basicusage	%mklibname basicusageenvironment %{basicusage_major}
%define usageenvironment_major	3
%define libname_usage		%mklibname usageenvironment %{usageenvironment_major}
%define groupsock_major		30
%define libname_groupsock	%mklibname groupsock %{groupsock_major}
%define livemedia_major		116
%define libname_livemedia	%mklibname livemedia %{livemedia_major}
%define develname		%mklibname %{name} -d

Name:		live
Version:	2025.05.08
Release:	%mkrel 1
Summary:	LIVE555 Streaming Media Library
License:	LGPL-3.0-or-later AND GPL-3.0-or-later
Group:		System/Libraries
URL:		http://www.live555.com/liveMedia/
Source0:	http://live555.com/liveMedia/public/%{name}.%{version}.tar.gz
Patch0:		live-synchronous-interface.patch
Patch1:		01_propagate_cflags.patch
Patch2:		02_ip_mreq_source.patch
Patch3:		03_add-pkgconfig-file.patch
Patch4:		04_fix-link-more-lib.patch
BuildRequires:	pkgconfig(openssl)
Provides:	live555 = %{version}-%{release}

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

%package -n %{libname_basicusage}
Summary:	Shared Basic Usage Environment library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_basicusage}
Shared Basic Usage Environment library for LIVE555 Streaming Media.

%package -n %{libname_usage}
Summary:	Shared Usage Environment library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_usage}
Shared Usage Environment library for LIVE555 Streaming Media.

%package -n %{libname_groupsock}
Summary:	Shared groupsock library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_groupsock}
Shared groupsock library for LIVE555 Streaming Media.

%package -n %{libname_livemedia}
Summary:	Shared live Media library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_livemedia}
Shared live Media library for LIVE555 Streaming Media.

%package -n %{develname}
Summary:	Development files of the LIVE555 Streaming Media Library
Group:		Development/C++
Requires:	%{libname_basicusage} = %{version}-%{release}
Requires:	%{libname_usage} = %{version}-%{release}
Requires:	%{libname_groupsock} = %{version}-%{release}
Requires:	%{libname_livemedia} = %{version}-%{release}
Provides:	live555-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

%prep
%autosetup -p1 -n %{name}

sed -i -e "s|-O2|%{optflags}|" config.linux-with-shared-libraries

%build
%set_build_flags
# C++20 is because of:
# BasicTaskScheduler.cpp:191:40: error: 'struct std::atomic_flag' has no member named 'test'
export CXXFLAGS="-std=c++20 %{optflags}"

./genMakefiles linux-with-shared-libraries
%__make clean
%make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#Fix library dependency detection
chmod +x %{buildroot}%{_libdir}/*.so*

%files
%doc README
%license COPYING COPYING.LESSER
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/live555MediaServer
%{_bindir}/live555HLSProxy
%{_bindir}/live555ProxyServer
%{_bindir}/mikeyParse
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/registerRTSPStream
%{_bindir}/sapWatch
%{_bindir}/test*
%{_bindir}/vobStreamer

%files -n %{libname_basicusage}
%{_libdir}/libBasicUsageEnvironment.so.%{basicusage_major}{,.*}

%files -n %{libname_usage}
%{_libdir}/libUsageEnvironment.so.%{usageenvironment_major}{,.*}

%files -n %{libname_groupsock}
%{_libdir}/libgroupsock.so.%{groupsock_major}{,.*}

%files -n %{libname_livemedia}
%{_libdir}/libliveMedia.so.%{livemedia_major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/libBasicUsageEnvironment.so
%{_libdir}/libgroupsock.so
%{_libdir}/libliveMedia.so
%{_libdir}/libUsageEnvironment.so
%{_libdir}/pkgconfig/live555.pc
%{_includedir}/BasicUsageEnvironment/
%{_includedir}/groupsock/
%{_includedir}/liveMedia/
%{_includedir}/UsageEnvironment/


%changelog
* Wed May 14 2025 daviddavid <daviddavid> 2025.05.08-1.mga10
+ Revision: 2183510
- new version: 2025.05.08

* Thu Dec 19 2024 daviddavid <daviddavid> 2024.11.28-1.mga10
+ Revision: 2126449
- new version: 2024.11.28
- now livemedia major is 116

* Mon Sep 23 2024 daviddavid <daviddavid> 2024.09.20-1.mga10
+ Revision: 2100636
- new version: 2024.09.20
- livemedia major is now 114

* Tue Apr 09 2024 daviddavid <daviddavid> 2024.03.08-1.mga10
+ Revision: 2056192
- new version: 2024.03.08

* Sat Dec 16 2023 daviddavid <daviddavid> 2023.11.30-2.mga10
+ Revision: 2018343
- re-add back synchronous interface patch (needed by mplayer)

* Sat Dec 16 2023 daviddavid <daviddavid> 2023.11.30-1.mga10
+ Revision: 2018298
- new version: 2023.11.30
- now livemedia libmajor is 112
- now basicusageenvironment libmajor is 2
- compile with c++20

* Thu Mar 17 2022 umeabot <umeabot> 2021.06.25-3.mga9
+ Revision: 1796585
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2021.06.25-2.mga9
+ Revision: 1748066
- rebuild for openssl 3.0.0

* Tue Jun 29 2021 ns80 <ns80> 2021.06.25-1.mga9
+ Revision: 1734274
- update to 2021.06.25 to fix CVE-2021-28899 (mga#29175)

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2020.12.23-1.mga8
+ Revision: 1666292
- 2020.12.23
- groupsock major is now 24
- livemedia major is now 87

* Tue Jun 23 2020 daviddavid <daviddavid> 2020.05.15-1.mga8
+ Revision: 1598574
- new version: 2020.05.15
- enable shared libraries
- rediff live-synchronous-interface.patch
- add a pkgconfig file

* Sat Feb 15 2020 umeabot <umeabot> 2019.03.06-2.mga8
+ Revision: 1523989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Mar 20 2019 ns80 <ns80> 2019.03.06-1.mga7
+ Revision: 1379195
- Update to version 2019.03.06 for CVE-2019-7314 and CVE-2019-9215 (mga#24527)

* Tue Nov 27 2018 ns80 <ns80> 2018.11.26-1.mga7
+ Revision: 1335994
- Update to version 2018.11.26

* Sun Sep 23 2018 umeabot <umeabot> 2018.02.28-5.mga7
+ Revision: 1299323
- Mageia 7 Mass Rebuild

* Sun May 13 2018 wally <wally> 2018.02.28-4.mga7
+ Revision: 1229128
- drop unneeded -fPIC patch
- make sure synchronous interface code is enabled
- properly rediff synchronous interface patch

* Sat Apr 07 2018 kekepower <kekepower> 2018.02.28-3.mga7
+ Revision: 1216006
- Rediffed live-pic.patch

* Wed Apr 04 2018 kekepower <kekepower> 2018.02.28-2.mga7
+ Revision: 1215288
- Rediffed live-synchronous-interface.patch

* Wed Apr 04 2018 kekepower <kekepower> 2018.02.28-1.mga7
+ Revision: 1215146
- Update to version 2018.02.28
- Remove old patches

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2016.01.24-1.mga6
+ Revision: 927506
- 2016.01.24

* Thu Jan 14 2016 luigiwalser <luigiwalser> 2016.01.12-1.mga6
+ Revision: 922952
- 2016.01.12

* Wed Oct 15 2014 umeabot <umeabot> 2014.08.26-3.mga5
+ Revision: 740951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2014.08.26-2.mga5
+ Revision: 681962
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2014.08.26-1.mga5
+ Revision: 670573
- 2014.08.26

* Fri Jul 11 2014 luigiwalser <luigiwalser> 2014.07.04-1.mga5
+ Revision: 651364
- 2014.07.04

* Sun Mar 30 2014 luigiwalser <luigiwalser> 2014.03.25-1.mga5
+ Revision: 610642
- 2014.03.25

* Mon Feb 17 2014 luigiwalser <luigiwalser> 2014.02.13-1.mga5
+ Revision: 593254
- 2014.02.13

* Mon Oct 21 2013 umeabot <umeabot> 2013.09.27-2.mga4
+ Revision: 538088
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 luigiwalser <luigiwalser> 2013.09.27-1.mga4
+ Revision: 488438
- 2013.09.27

* Thu Aug 29 2013 luigiwalser <luigiwalser> 2013.08.28-1.mga4
+ Revision: 473124
- 2013.08.28

* Tue Jul 30 2013 fwang <fwang> 2013.07.16-1.mga4
+ Revision: 460819
- new version 2013.07.16

* Sun Jun 16 2013 luigiwalser <luigiwalser> 2013.06.14-1.mga4
+ Revision: 443794
- 2013.06.14
- rediff patch1
- re-add synchronous interface removed upstream (needed by mplayer)

* Sat Jan 12 2013 umeabot <umeabot> 2013.01.04-2.mga3
+ Revision: 358884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 2013.01.04-1.mga3
+ Revision: 338982
- 2013.01.04
- rediff patch0 and patch1
- remove upstreamed patch2

* Sat Sep 22 2012 luigiwalser <luigiwalser> 2012.09.13-1.mga3
+ Revision: 296642
- new version 2012.09.13

* Sun Sep 02 2012 luigiwalser <luigiwalser> 2012.08.31-1.mga3
+ Revision: 287319
- 2012.08.31

* Fri Aug 24 2012 fedya <fedya> 2012.08.20-1.mga3
+ Revision: 283640
- version update 2012.08.20

* Sun Jul 29 2012 luigiwalser <luigiwalser> 2012.07.26-1.mga3
+ Revision: 275658
- new version 2012.07.26

* Mon Jul 02 2012 luigiwalser <luigiwalser> 2012.06.26-1.mga3
+ Revision: 266556
- 2012.06.26

* Fri Jun 29 2012 fwang <fwang> 2012.06.12-2.mga3
+ Revision: 264859
- build wifh fpic

* Sat Jun 16 2012 luigiwalser <luigiwalser> 2012.06.12-1.mga3
+ Revision: 260948
- new version 2012.06.12
- update patches and fix minor spec cosmetics (from mdv)

* Sun Mar 18 2012 fwang <fwang> 2012.02.29-4.mga2
+ Revision: 223786
- build old rtsp interface

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-3.mga2
+ Revision: 221949
- more standard prefix

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-2.mga2
+ Revision: 221944
- use standard install prefix

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-1.mga2
+ Revision: 221920
- new version 2012.02.29
+ doktor5000 <doktor5000>
- use versionned live555 Provides
- add Provides on live555 and live555-devel
- new version 2012.01.26
- removed duplicate definition of %%name and %%version
- removed obsolete BuildRoot, %%clean section and empty %%defattrs

* Mon Nov 14 2011 dams <dams> 2011.11.08-1.mga2
+ Revision: 167445
- new version 2011.11.08

* Thu Sep 08 2011 tv <tv> 2011.06.16-1.mga2
+ Revision: 141170
- new release

* Tue Jan 25 2011 ahmad <ahmad> 2011.01.24-2.mga1
+ Revision: 39597
- update to 2011.01.24
- rediff patch0,1
- imported package live


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.04.09-2mdv2011.0
+ Revision: 606413
- rebuild

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2010.04.09-1mdv2010.1
+ Revision: 538951
- update to new version 2010.04.09

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2009.07.28-3mdv2010.1
+ Revision: 523189
- rebuilt for 2010.1

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.07.28-2mdv2010.0
+ Revision: 423703
- rebuild

* Thu Aug 27 2009 Götz Waschk <waschk@mandriva.org> 2009.07.28-1mdv2010.0
+ Revision: 421676
- update to new version 2009.07.28

* Sun Jun 07 2009 Götz Waschk <waschk@mandriva.org> 2009.06.02-1mdv2010.0
+ Revision: 383442
- update to new version 2009.06.02

* Fri Feb 27 2009 Götz Waschk <waschk@mandriva.org> 2009.02.23-1mdv2009.1
+ Revision: 345392
- update to new version 2009.02.23

* Mon Feb 09 2009 Götz Waschk <waschk@mandriva.org> 2009.01.26-1mdv2009.1
+ Revision: 338710
- new version
- rediff patch 1
- fix format string
- update file list

* Fri Nov 21 2008 Götz Waschk <waschk@mandriva.org> 2008.11.13-1mdv2009.1
+ Revision: 305474
- update to new version 2008.11.13
- add live555MediaServer

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2008.10.07-1mdv2009.1
+ Revision: 295576
- update to new version 2008.10.07

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2008.07.25-1mdv2009.0
+ Revision: 274140
- new version

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2008.06.26-1mdv2009.0
+ Revision: 231567
- new version
- update license

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2008.05.12-2mdv2009.0
+ Revision: 219561
- rebuild

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 2008.05.12-1mdv2009.0
+ Revision: 210264
- new version
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2007.12.27-1mdv2008.1
+ Revision: 140372
- new version

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 2007.08.03a-2mdv2008.1
+ Revision: 133926
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2007.08.03a-1mdv2008.1
+ Revision: 98384
- new version

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 2007.04.24a-1mdv2008.0
+ Revision: 22377
- new version


* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 2007.01.09-1mdv2007.0
+ Revision: 107520
- new version
- rediff patch 0

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 2006.10.18-1mdv2007.1
+ Revision: 66304
- unpack patches
- Import live

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 2006.10.18-1mdv2007.1
- New version 2006.10.18

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 2006.08.26-1mdv2007.0
- use upstream versioning
- new version

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 0-2006.07.04.1mdv2007.0
- new snapshot

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 0-2006.05.15.1mdk
- new snapshot

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 0-0.2006.03.17.1mdk
- fix summary
- new snapshot

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0-0.2005.12.23.1mdk
- update patch 0
- new URL, the old one was sold to Micro$oft, go figure
- new snapshot

* Sat Jul 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0-0.2004.12.23.2mdk
- build static library with PIC since it can be used into a DSO

* Mon Dec 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0-0.2004.12.23.1mdk
- new snapshot.

* Tue Nov 16 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.11.11a.1mdk
- new snapshot

* Fri Jul 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.07.22.1mdk
- new snapshot

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.2004.04.09.2mdk
- Rebuild

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.04.09.1mdk
- new version

* Wed Feb 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.23.1mdk
- drop the patch
- new snapshot

* Thu Feb 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.13.1mdk
- new snapshot

* Fri Jan 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0-0.2004.01.22.1mdk
- drop prefix tag
- new snapshot

